/********************************************************************
 *                                                                  *
 * THIS FILE IS PART OF THE OggSQUISH PLAYER/CONVERTER SOURCE CODE. *
 * USE, DISTRIBUTION AND REPRODUCTION OF THIS SOURCE IS RESTRICTED  *
 * BY DISTRIBUTION TERMS THAT SHOULD BE INCLUDED WITH THIS SOURCE.  *
 * PLEASE READ THESE TERMS BEFORE USING OR DISTRIBUTING.            *
 *                                                                  *
 * THE OggSQUISH SOURCE CODE IS (C) COPYRIGHT 1994-1996             *
 * XIPHOPHORUS                                                      *
 *                                                                  *
 ********************************************************************

  $Id: oggstuff.h,v 1.2 1997/12/27 05:39:59 ogg Exp $
  $Date: 1997/12/27 05:39:59 $
  author: Monty <xiphmont@mit.edu>
  modifications by: Monty

 ********************************************************************/

#ifndef _OGGSTUFF_H
#define _OGGSTUFF_H

extern long CheckOgg(FILE *infile,long *channels,long *rate,long *bits);

extern int input_stage_ogg(FILE *infile);
extern long bytes_ogg_data(int bank,long bits,long channels);
extern void *pull_ogg_data(int bank,long bits,long bigendian,long signed);
extern void push_ogg_data(int bank,long bits,long bigendian,long signed,
			  void *buffer,long bytes);
extern void move_ogg_data(int sourcebank,int destbank);
extern int transform_stage_ogg(int finished);
extern void output_stage_ogg(FILE *out,int finished);

#endif  /* _OGGSTUFF_H */
